OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LeafNode< bool >::ValueIterator Class Reference

Visits all values in a leaf node, i.e. both active and inactive values. More...

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions
| ValueIterator ()
| ValueIterator (const LeafNode *parent)
ValueIterator & | operator= (const ValueIterator &)=default
bool | operator* () const
Coord | getCoord () const
bool | isActive () const
| operator bool () const
ValueIterator & | operator++ ()
ValueIterator | operator++ (int)

## Detailed Description

Visits all values in a leaf node, i.e. both active and inactive values.

## Constructor & Destructor Documentation

## ◆ ValueIterator() [1/2]

ValueIterator | ( |  | ) |
| inline

## ◆ ValueIterator() [2/2]

ValueIterator | ( | const LeafNode< bool > * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

Coord getCoord | ( |  | ) | const
| inline

## ◆ isActive()

bool isActive | ( |  | ) | const
| inline

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

## ◆ operator*()

bool operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

ValueIterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

ValueIterator operator++ | ( | int |  | ) |
| inline

## ◆ operator=()

ValueIterator & operator= | ( | const ValueIterator & |  | ) |
| default